Kryptronic Software Support Forum

You are viewing this forum as a guest. Login to an existing account, or create a new account, to reply to topics and to create new topics.

#1 02-16-2003 08:56:08

ASTec
Member
Registered: 02-09-2002
Posts: 1

Authorize.Net now requires AIM or SIM formats

Authorize.net has now requested us several times to eliminate the existing method of shopping cart processing and update to the new security formats. WEBLINK is no longer being supported within weeks. I need to access the changes needed to make this program work with Authorize.net and acknowledge which of the two formats I need to set-up with them.

Offline

 

#2 02-20-2003 09:09:51

webmaster
Administrator
From: York, PA
Registered: 04-20-2001
Posts: 19124
Website

Re: Authorize.Net now requires AIM or SIM formats

We will have an update for version 5 ready within the next week.  That version will use SIM/AIM.  Integration for 4 should be done with SIM - using the Authorize.net payment form.  Coding modification will be necessary to make that work.  I suggest upgrading to version 5 once the SIM/AIM update has been anounced.  Once that's ready, we'll be able to give quotes to version 4 people who don't want to upgrade on the integration.

___________________________

Nick Hendler
Webmaster, Kryptronic, Inc.


Nick Hendler

Offline

 

#3 02-22-2003 14:01:55

Guest
Guest

Re: Authorize.Net now requires AIM or SIM formats

So what you're saying is that all of those of us who don't want to spend the time converting our websites to CCP5 but have been loyal CCP customers for many years will have to pay in order to continue using the cart once AuthorizeNet makes the switch complete?

I assumed that CCP would integrate it into version 4 and would release it to all CCP4 users so that we can continue to use CCP4. I don't have a problem paying a little fee to buy an Authorize "update" for CCP4 but I really don't want to deal with changing to CCP5. Anyone else out there agree with me?

 

#4 02-24-2003 07:29:26

Guest
Guest

Re: Authorize.Net now requires AIM or SIM formats

I agree, I was just assumming a patch would be made available, especially at this late stage. 

 

#5 02-25-2003 00:02:41

Charles
Member
From: USA
Registered: 12-24-2002
Posts: 252

Re: Authorize.Net now requires AIM or SIM formats

I switched from CCP4 to CCP5.  It was very easy to switch to CCP5.  (I) fell that it is worth upgrading to CCP5 for that and you also get more features that you might find helpful.  Nick has really been working hard on CCP.  CCP5 is GREAT!!  I LOVE it. 


Charles

Offline

 

#6 02-26-2003 05:22:23

Guest
Guest

Re: Authorize.Net now requires AIM or SIM formats

Yes and I agree that Nick has worked hard on it, however, many of us don't want to take the time to upgrade and I especially don't want to have to work with CCP5's new Administrator layout. I personally don't care for that new layout much and many of us have a great deal of customizing, it would take me several days to upgrade.

I just don't feel that it's out of place to request an update for CCP4. I don't feel that we should be forced to upgrade just to keep our AuthorizeNet enabled site working. Does anyone use CCP4 with the new AuthorizeNet connection methods, I'm getting desperate here! A little frustrated too at this point.

 

#7 02-27-2003 16:25:57

webmaster
Administrator
From: York, PA
Registered: 04-20-2001
Posts: 19124
Website

Re: Authorize.Net now requires AIM or SIM formats

We do have an AIM module that is available for CCP4.  Here is what you need:

(1) An SSL account that has access to you CCP4 install via https.

(2) The modules located at htp://www.clickcartpro.com/downloads/ssl-perl-modules installed (compiled actually) on the server.  The administrator for your server - usually your hosting company - will have to do this.  The install.txt file is actually a script that can be run via the shell to automate compiling and installing the modules.  If you're on a Windows server, these modules can be downloaded from activestate.com and installed via ppm by your server admin.

(3) Purchase 1/2 hour of tech support from clickcartpro.com once the first two requirements are met.  Once you receive your order number via email, use it to complete a tech support form online.  Be sure to include your FTP info and secure URL in the request as well as indication that you want the AIM module installed.

We'll schedule the request and install AIM for you at that point.  Integrating SIM with CCP4 is something that we do not plan on tackling.

___________________________

Nick Hendler
Webmaster, Kryptronic, Inc.


Nick Hendler

Offline

 

#8 03-01-2003 17:57:01

Guest
Guest

Re: Authorize.Net now requires AIM or SIM formats

Why can't we install it ourselves, why do we have to pay to be able to continue using what we've already payed for? I don't mind paying for some sort of upgrade for AIM but I'm not giving someone else access to my server, that just can't happen. Can I pay but install it myself or do I have to talk to someone at CCP about this directly?

 

#9 03-01-2003 20:42:59

Guest
Guest

Re: Authorize.Net now requires AIM or SIM formats

Yes, Paul, I agree as well.  This is ridiculous, the patch should just be posted, especially at this late stage in the game.  I as well can not give access to my server, plus, it seems like it would be a cinch to install if CCP guys could put it out for us to simply install.

 

#10 03-02-2003 12:59:13

webmaster
Administrator
From: York, PA
Registered: 04-20-2001
Posts: 19124
Website

Re: Authorize.Net now requires AIM or SIM formats

Ok.  We'll see what we can do next week after the update to CCP5 is released.  It will probably be a 'email us if you need it' type thing.  It will be free - the charge wasn't for the code, however the installation.  Please make sure you've got an SSL server and those Perl modules installed, otherwise you'll get an error when using the AIM module.

___________________________

Nick Hendler
Webmaster, Kryptronic, Inc.


Nick Hendler

Offline

 

#11 03-03-2003 15:49:27

Guest
Guest

Re: Authorize.Net now requires AIM or SIM formats

That is good to hear.  So, are you saying you guys will provide the patch that can hook into the compiled modules (andd CCP4) with an SSL account?

 

#12 03-03-2003 16:12:31

webmaster
Administrator
From: York, PA
Registered: 04-20-2001
Posts: 19124
Website

Re: Authorize.Net now requires AIM or SIM formats

Correct.  The charge would have been to do the install and testing.  The additional code and instructions will be free.
___________________________

Nick Hendler
Webmaster, Kryptronic, Inc.


Nick Hendler

Offline

 

#13 03-12-2003 03:10:25

Guest
Guest

Re: Authorize.Net now requires AIM or SIM formats

Any update on the CCP4 AIM update release?

Just checking. I'm a little confused as to why the post directly above mine is within this posting string as this string is in regards to the AIM integration for AuthorizeNet and CCP 4.

 

#14 03-12-2003 03:11:39

Guest
Guest

Re: Authorize.Net now requires AIM or SIM formats

Sorry - the post directly below mine of course! I wasn't referring to our helpful webmaster :-)

 

#15 03-10-2003 12:13:30

Guest
Guest

Re: Authorize.Net now requires AIM or SIM formats

I'm having all kind of problems today with CCP 4.0. Everytime I try to add a product or anything else it keeps logging me out. No matter what program I go into this happens. Any ideas what is happening??? My password and sreen name work fine to get in, the problem is I keep getting logged out when addind products ect.

 

#16 03-13-2003 21:13:54

Guest
Guest

Re: Authorize.Net now requires AIM or SIM formats

I too dont like the idea of having to pay for several of my clients sites that have CCP4 nor asking them to pay for an Auth Net upgrade. Is there a link to a download where we can add a patch to CCP4?

Evan

 

#17 03-13-2003 21:17:07

Guest
Guest

Re: Authorize.Net now requires AIM or SIM formats

Can we upgrade and existing CCP4 site with CCP 5 and keep all images, pages and designs? Is this possible with just an upgrade?

Evan

 

#18 03-15-2003 00:38:41

webmaster
Administrator
From: York, PA
Registered: 04-20-2001
Posts: 19124
Website

Re: Authorize.Net now requires AIM or SIM formats

To address Craig Chapman, you're having an issue with admin because your ISP's proxy server is flipping your IP address with each request.  We fixed this issue in version 5.  If you can upgrade, you should do so to fix this.  If not, check with your ISP about getting a static IP address.

To address Evan Caulfield, installation by support for AIM will be a charge if you want it.  Otherwise, we will be releasing a free update to get CCP4 SIM compliant.  I know this goes against what I said about SIM not being available in CCP4 above, but after completing the integrations for CCP5 just a bit ago, I realized SIM was going to be easier to apply to CCP4 for everyone.  Check back on the forum next week at some point for update instructions for version 4 to get it SIM compliant.  If you want to upgrade to CCP5, we can cut you a deal on the upgrade costs if you're doing a large number of licenses.

To address Upgrade, yes an upgrade to CCP5 will keep all images, pages and designs and everything else you would want it to keep.
___________________________

Nick Hendler
Webmaster, Kryptronic, Inc.


Nick Hendler

Offline

 

Board footer